POST
/posts/{postId}/commentsAdd a comment to a post
Create a new comment on a post. The comment is attributed to the authenticated API key holder.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
postIdrequired | path | string | Post ID |
Request body
| Field | Type | Description |
|---|---|---|
contentrequired | string | Comment content |
parentId | string | null | Parent comment ID for replies |
Response
Comment created
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
postIdrequired | string | TypeID - a type-prefixed UUID |
parentIdrequired | string | null | |
contentrequired | string | |
authorNamerequired | string | null | |
principalIdrequired | string | null | |
isTeamMemberrequired | boolean | |
createdAtrequired | string | ISO 8601 timestamp |
Errors
400Validation error401Unauthorized404Post not foundExample request
curl \
-X POST \
"https://feedback.quackback.io/api/v1/posts/:postId/comments" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"content": "example_content"
}'